=== libcelt/Makefile ===
# Makefile.in generated by automake 1.10.1 from Makefile.am.
# libcelt/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Disable automatic dependency tracking if using other tools than gcc and gmake
#AUTOMAKE_OPTIONS = no-dependencies





pkgdatadir = $(datadir)/celt
pkglibdir = $(libdir)/celt
pkgincludedir = $(includedir)/celt
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
noinst_PROGRAMS = testcelt$(EXEEXT) dump_modes$(EXEEXT)
subdir = libcelt
DIST_COMMON = $(noinst_HEADERS) $(pkgappinclude_HEADERS) \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(libdir)" \
	"$(DESTDIR)$(pkgappincludedir)"
libLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(lib_LTLIBRARIES)
libcelt051_la_LIBADD =
am_libcelt051_la_OBJECTS = bands.lo celt.lo cwrs.lo \
	entcode.lo entdec.lo entenc.lo header.lo kfft_single.lo \
	kiss_fft.lo kiss_fftr.lo laplace.lo mdct.lo modes.lo pitch.lo \
	psy.lo quant_bands.lo quant_pitch.lo rangedec.lo rangeenc.lo \
	rate.lo vq.lo
libcelt051_la_OBJECTS =  \
	$(am_libcelt051_la_OBJECTS)
libcelt051_la_LINK = $(LIBTOOL) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(AM_CFLAGS) $(CFLAGS) $(libcelt051_la_LDFLAGS) \
	$(LDFLAGS) -o $@
PROGRAMS = $(noinst_PROGRAMS)
am_dump_modes_OBJECTS = dump_modes.$(OBJEXT)
dump_modes_OBJECTS = $(am_dump_modes_OBJECTS)
dump_modes_DEPENDENCIES = libcelt051.la
am_testcelt_OBJECTS = testcelt.$(OBJEXT)
testcelt_OBJECTS = $(am_testcelt_OBJECTS)
testcelt_DEPENDENCIES = libcelt051.la
SCRIPTS = $(noinst_SCRIPTS)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(libcelt051_la_SOURCES) $(dump_modes_SOURCES) \
	$(testcelt_SOURCES)
DIST_SOURCES = $(libcelt051_la_SOURCES) \
	$(dump_modes_SOURCES) $(testcelt_SOURCES)
pkgappincludeHEADERS_INSTALL = $(INSTALL_HEADER)
HEADERS = $(noinst_HEADERS) $(pkgappinclude_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/liang/opt/src/celt051/celt-0.5.1.3/missing --run aclocal-1.10
AMTAR = ${SHELL} /home/liang/opt/src/celt051/celt-0.5.1.3/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/liang/opt/src/celt051/celt-0.5.1.3/missing --run autoconf
AUTOHEADER = ${SHELL} /home/liang/opt/src/celt051/celt-0.5.1.3/missing --run autoheader
AUTOMAKE = ${SHELL} /home/liang/opt/src/celt051/celt-0.5.1.3/missing --run automake-1.10
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CELT_LT_AGE = 0
CELT_LT_CURRENT = 0
CELT_LT_REVISION = 0
CELT_VERSION = 0.5.1.3
CFLAGS = -g -O2 -fvisibility=hidden -W -Wstrict-prototypes -Wall -Wextra -Wcast-align -Wnested-externs -Wshadow -Wno-parentheses -Wno-unused-parameter -Wno-sign-compare
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -lm 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/liang/opt/src/celt051/celt-0.5.1.3/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NMEDIT = 
OBJEXT = o
OGG_CFLAGS = 
OGG_LIBS =  -logg
PACKAGE = celt
PACKAGE_APPEND = 051
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
SIZE16 = short
SIZE32 = int
STRIP = strip
VERSION = 0.5.1.3
abs_builddir = /home/liang/opt/src/celt051/celt-0.5.1.3/libcelt
abs_srcdir = /home/liang/opt/src/celt051/celt-0.5.1.3/libcelt
abs_top_builddir = /home/liang/opt/src/celt051/celt-0.5.1.3
abs_top_srcdir = /home/liang/opt/src/celt051/celt-0.5.1.3
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /home/liang/opt/src/celt051/celt-0.5.1.3/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
tools = tools
top_builddir = ..
top_srcdir = ..
pkgappincludedir = $(includedir)/celt051
pkgappinclude_HEADERS = celt.h celt_types.h celt_header.h
EXTRA_DIST = match-test.sh

#INCLUDES = -I$(top_srcdir)/include -I$(top_builddir)/include -I$(top_builddir) 
TESTS = match-test.sh
noinst_SCRIPTS = match-test.sh
lib_LTLIBRARIES = libcelt051.la

# Sources for compilation in the library
libcelt051_la_SOURCES = bands.c celt.c cwrs.c ecintrin.h entcode.c \
	entdec.c entenc.c header.c kfft_single.c kiss_fft.c kiss_fftr.c laplace.c mdct.c \
	modes.c pitch.c psy.c quant_bands.c quant_pitch.c rangedec.c rangeenc.c rate.c \
	vq.c


#noinst_HEADERS =
libcelt051_la_LDFLAGS = -version-info 0:0:0
noinst_HEADERS = _kiss_fft_guts.h arch.h bands.h fixed_c5x.h fixed_c6x.h \
	cwrs.h ecintrin.h entcode.h entdec.h entenc.h fixed_generic.h float_cast.h \
	kfft_double.h kfft_single.h kiss_fft.h kiss_fftr.h laplace.h mdct.h mfrngcod.h \
	mathops.h modes.h os_support.h pgain_table.h pitch.h psy.h \
	quant_bands.h quant_pitch.h rate.h stack_alloc.h vq.h

testcelt_SOURCES = testcelt.c
testcelt_LDADD = libcelt051.la
INCLUDES = 
#libcelt_la_LIBADD = 
dump_modes_SOURCES = dump_modes.c
dump_modes_LDADD = libcelt051.la
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  libcelt/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  libcelt/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f=$(am__strip_dir) \
	    echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
	    $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  p=$(am__strip_dir) \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$p'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$p"; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libcelt051.la: $(libcelt051_la_OBJECTS) $(libcelt051_la_DEPENDENCIES) 
	$(libcelt051_la_LINK) -rpath $(libdir) $(libcelt051_la_OBJECTS) $(libcelt051_la_LIBADD) $(LIBS)

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
dump_modes$(EXEEXT): $(dump_modes_OBJECTS) $(dump_modes_DEPENDENCIES) 
	@rm -f dump_modes$(EXEEXT)
	$(LINK) $(dump_modes_OBJECTS) $(dump_modes_LDADD) $(LIBS)
testcelt$(EXEEXT): $(testcelt_OBJECTS) $(testcelt_DEPENDENCIES) 
	@rm -f testcelt$(EXEEXT)
	$(LINK) $(testcelt_OBJECTS) $(testcelt_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/bands.Plo
include ./$(DEPDIR)/celt.Plo
include ./$(DEPDIR)/cwrs.Plo
include ./$(DEPDIR)/dump_modes.Po
include ./$(DEPDIR)/entcode.Plo
include ./$(DEPDIR)/entdec.Plo
include ./$(DEPDIR)/entenc.Plo
include ./$(DEPDIR)/header.Plo
include ./$(DEPDIR)/kfft_single.Plo
include ./$(DEPDIR)/kiss_fft.Plo
include ./$(DEPDIR)/kiss_fftr.Plo
include ./$(DEPDIR)/laplace.Plo
include ./$(DEPDIR)/mdct.Plo
include ./$(DEPDIR)/modes.Plo
include ./$(DEPDIR)/pitch.Plo
include ./$(DEPDIR)/psy.Plo
include ./$(DEPDIR)/quant_bands.Plo
include ./$(DEPDIR)/quant_pitch.Plo
include ./$(DEPDIR)/rangedec.Plo
include ./$(DEPDIR)/rangeenc.Plo
include ./$(DEPDIR)/rate.Plo
