=== tests/Makefile ===
# Makefile.in generated by automake 1.10.1 from Makefile.am.
# tests/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/celt
pkglibdir = $(libdir)/celt
pkgincludedir = $(includedir)/celt
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
TESTS = type-test$(EXEEXT) ectest$(EXEEXT) cwrs32-test$(EXEEXT) \
	real-fft-test$(EXEEXT) dft-test$(EXEEXT) laplace-test$(EXEEXT) \
	mdct-test$(EXEEXT) mathops-test$(EXEEXT)
noinst_PROGRAMS = type-test$(EXEEXT) ectest$(EXEEXT) \
	cwrs32-test$(EXEEXT) real-fft-test$(EXEEXT) dft-test$(EXEEXT) \
	laplace-test$(EXEEXT) mdct-test$(EXEEXT) mathops-test$(EXEEXT)
subdir = tests
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_cwrs32_test_OBJECTS = cwrs32-test.$(OBJEXT)
cwrs32_test_OBJECTS = $(am_cwrs32_test_OBJECTS)
cwrs32_test_LDADD = $(LDADD)
am_dft_test_OBJECTS = dft-test.$(OBJEXT)
dft_test_OBJECTS = $(am_dft_test_OBJECTS)
dft_test_LDADD = $(LDADD)
am_ectest_OBJECTS = ectest.$(OBJEXT)
ectest_OBJECTS = $(am_ectest_OBJECTS)
ectest_LDADD = $(LDADD)
am_laplace_test_OBJECTS = laplace-test.$(OBJEXT)
laplace_test_OBJECTS = $(am_laplace_test_OBJECTS)
laplace_test_LDADD = $(LDADD)
am_mathops_test_OBJECTS = mathops-test.$(OBJEXT)
mathops_test_OBJECTS = $(am_mathops_test_OBJECTS)
mathops_test_LDADD = $(LDADD)
am_mdct_test_OBJECTS = mdct-test.$(OBJEXT)
mdct_test_OBJECTS = $(am_mdct_test_OBJECTS)
mdct_test_LDADD = $(LDADD)
am_real_fft_test_OBJECTS = real-fft-test.$(OBJEXT)
real_fft_test_OBJECTS = $(am_real_fft_test_OBJECTS)
real_fft_test_LDADD = $(LDADD)
am_type_test_OBJECTS = type-test.$(OBJEXT)
type_test_OBJECTS = $(am_type_test_OBJECTS)
type_test_LDADD = $(LDADD)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(cwrs32_test_SOURCES) $(dft_test_SOURCES) $(ectest_SOURCES) \
	$(laplace_test_SOURCES) $(mathops_test_SOURCES) \
	$(mdct_test_SOURCES) $(real_fft_test_SOURCES) \
	$(type_test_SOURCES)
DIST_SOURCES = $(cwrs32_test_SOURCES) $(dft_test_SOURCES) \
	$(ectest_SOURCES) $(laplace_test_SOURCES) \
	$(mathops_test_SOURCES) $(mdct_test_SOURCES) \
	$(real_fft_test_SOURCES) $(type_test_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/liang/opt/src/celt051/celt-0.5.1.3/missing --run aclocal-1.10
AMTAR = ${SHELL} /home/liang/opt/src/celt051/celt-0.5.1.3/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/liang/opt/src/celt051/celt-0.5.1.3/missing --run autoconf
AUTOHEADER = ${SHELL} /home/liang/opt/src/celt051/celt-0.5.1.3/missing --run autoheader
AUTOMAKE = ${SHELL} /home/liang/opt/src/celt051/celt-0.5.1.3/missing --run automake-1.10
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CELT_LT_AGE = 0
CELT_LT_CURRENT = 0
CELT_LT_REVISION = 0
CELT_VERSION = 0.5.1.3
CFLAGS = -g -O2 -fvisibility=hidden -W -Wstrict-prototypes -Wall -Wextra -Wcast-align -Wnested-externs -Wshadow -Wno-parentheses -Wno-unused-parameter -Wno-sign-compare
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -lm 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/liang/opt/src/celt051/celt-0.5.1.3/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NMEDIT = 
OBJEXT = o
OGG_CFLAGS = 
OGG_LIBS =  -logg
PACKAGE = celt
PACKAGE_APPEND = 051
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
SIZE16 = short
SIZE32 = int
STRIP = strip
VERSION = 0.5.1.3
abs_builddir = /home/liang/opt/src/celt051/celt-0.5.1.3/tests
abs_srcdir = /home/liang/opt/src/celt051/celt-0.5.1.3/tests
abs_top_builddir = /home/liang/opt/src/celt051/celt-0.5.1.3
abs_top_srcdir = /home/liang/opt/src/celt051/celt-0.5.1.3
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /home/liang/opt/src/celt051/celt-0.5.1.3/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
tools = tools
top_builddir = ..
top_srcdir = ..
INCLUDES = -I$(top_srcdir)/libcelt
METASOURCES = AUTO
type_test_SOURCES = type-test.c
ectest_SOURCES = ectest.c
cwrs32_test_SOURCES = cwrs32-test.c
real_fft_test_SOURCES = real-fft-test.c
dft_test_SOURCES = dft-test.c
laplace_test_SOURCES = laplace-test.c
mdct_test_SOURCES = mdct-test.c
#rotation_test_SOURCES = rotation-test.c
mathops_test_SOURCES = mathops-test.c
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  tests/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  tests/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
cwrs32-test$(EXEEXT): $(cwrs32_test_OBJECTS) $(cwrs32_test_DEPENDENCIES) 
	@rm -f cwrs32-test$(EXEEXT)
	$(LINK) $(cwrs32_test_OBJECTS) $(cwrs32_test_LDADD) $(LIBS)
dft-test$(EXEEXT): $(dft_test_OBJECTS) $(dft_test_DEPENDENCIES) 
	@rm -f dft-test$(EXEEXT)
	$(LINK) $(dft_test_OBJECTS) $(dft_test_LDADD) $(LIBS)
ectest$(EXEEXT): $(ectest_OBJECTS) $(ectest_DEPENDENCIES) 
	@rm -f ectest$(EXEEXT)
	$(LINK) $(ectest_OBJECTS) $(ectest_LDADD) $(LIBS)
laplace-test$(EXEEXT): $(laplace_test_OBJECTS) $(laplace_test_DEPENDENCIES) 
	@rm -f laplace-test$(EXEEXT)
	$(LINK) $(laplace_test_OBJECTS) $(laplace_test_LDADD) $(LIBS)
mathops-test$(EXEEXT): $(mathops_test_OBJECTS) $(mathops_test_DEPENDENCIES) 
	@rm -f mathops-test$(EXEEXT)
	$(LINK) $(mathops_test_OBJECTS) $(mathops_test_LDADD) $(LIBS)
mdct-test$(EXEEXT): $(mdct_test_OBJECTS) $(mdct_test_DEPENDENCIES) 
	@rm -f mdct-test$(EXEEXT)
	$(LINK) $(mdct_test_OBJECTS) $(mdct_test_LDADD) $(LIBS)
real-fft-test$(EXEEXT): $(real_fft_test_OBJECTS) $(real_fft_test_DEPENDENCIES) 
	@rm -f real-fft-test$(EXEEXT)
	$(LINK) $(real_fft_test_OBJECTS) $(real_fft_test_LDADD) $(LIBS)
type-test$(EXEEXT): $(type_test_OBJECTS) $(type_test_DEPENDENCIES) 
	@rm -f type-test$(EXEEXT)
	$(LINK) $(type_test_OBJECTS) $(type_test_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/cwrs32-test.Po
include ./$(DEPDIR)/dft-test.Po
include ./$(DEPDIR)/ectest.Po
include ./$(DEPDIR)/laplace-test.Po
include ./$(DEPDIR)/mathops-test.Po
include ./$(DEPDIR)/mdct-test.Po
include ./$(DEPDIR)/real-fft-test.Po
include ./$(DEPDIR)/type-test.Po

.c.o:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
